summaryrefslogtreecommitdiffstats
path: root/games/pcsx-rearmed
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-01 12:11:08 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commit71efa72e4c833f53d5a4a53176ffc767d7260015 (patch)
treeb45441d54678ff8188ab64cdda621ccb331df1c4 /games/pcsx-rearmed
parent5292754fb8a686b6825d7f738f1086ce107981e5 (diff)
downloadslackbuilds-71efa72e4c833f53d5a4a53176ffc767d7260015.tar.gz
slackbuilds-71efa72e4c833f53d5a4a53176ffc767d7260015.tar.xz
games/pcsx-rearmed: Added (ARM optimized PCSX fork).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/pcsx-rearmed')
-rw-r--r--games/pcsx-rearmed/README21
-rw-r--r--games/pcsx-rearmed/pcsx-rearmed.SlackBuild91
-rw-r--r--games/pcsx-rearmed/pcsx-rearmed.info10
-rw-r--r--games/pcsx-rearmed/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/games/pcsx-rearmed/README b/games/pcsx-rearmed/README
new file mode 100644
index 0000000000..b90f7da328
--- /dev/null
+++ b/games/pcsx-rearmed/README
@@ -0,0 +1,21 @@
+PCSX ReARMed is yet another PCSX fork based on the PCSX-Reloaded project, which
+itself contains code from PCSX, PCSX-df and PCSX-Revolution. This version is
+ARM architecture oriented and features MIPS->ARM recompiler by Ari64, NEON GTE
+code and more performance improvements. It was created for Pandora handheld,
+but should be usable on other devices after some code adjustments (N900, GPH
+Wiz/Caanoo, PlayBook versions are also available).
+
+PCSX ReARMed features ARM NEON GPU by Exophase, that in many cases produces
+pixel perfect graphics at very high performance. There is also Una-i's GPU
+plugin from PCSX4ALL project, and traditional P.E.Op.S. one.
+
+PCSX ReARMed looks for the following BIOS image files inside the frontend's 'System Directory'.
+
+* scph5500.bin (MD5 sum: 8dd7d5296a650fac7319bce665a6a53c)
+* scph5501.bin (MD5 sum: 490f666e1afb15b7362b406ed1cea246)
+* scph5502.bin (MD5 sum: 32736f17079d0b2b7024407c39bd3050)
+
+In case it can find no BIOS files named like this inside the 'System
+Directory', it will default to a High-Level Emulation BIOS. This decreases the
+level of compatibility of the emulator, so it is recommended that you always
+supply valid BIOS images inside the system directory.
diff --git a/games/pcsx-rearmed/pcsx-rearmed.SlackBuild b/games/pcsx-rearmed/pcsx-rearmed.SlackBuild
new file mode 100644
index 0000000000..03146feebd
--- /dev/null
+++ b/games/pcsx-rearmed/pcsx-rearmed.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for PCSX-ReARMed
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pcsx-rearmed
+LIBNAM=pcsx_rearmed_libretro
+VERSION=${VERSION:-2016.07.30_2629ef2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure
+make -f Makefile.libretro
+
+install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog* NEWS README.md readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/pcsx-rearmed/pcsx-rearmed.info b/games/pcsx-rearmed/pcsx-rearmed.info
new file mode 100644
index 0000000000..6f1472faaf
--- /dev/null
+++ b/games/pcsx-rearmed/pcsx-rearmed.info
@@ -0,0 +1,10 @@
+PRGNAM="pcsx-rearmed"
+VERSION="2016.07.30_2629ef2"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/pcsx-rearmed-2016.07.30_2629ef2.tar.xz"
+MD5SUM="911df557efcedcb761d00bba86c27d05"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/pcsx-rearmed/slack-desc b/games/pcsx-rearmed/slack-desc
new file mode 100644
index 0000000000..6972841051
--- /dev/null
+++ b/games/pcsx-rearmed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pcsx-rearmed: pcsx-rearmed (ARM optimized PCSX fork)
+pcsx-rearmed:
+pcsx-rearmed: PCSX ReARMed is yet another PCSX fork based on the PCSX-Reloaded
+pcsx-rearmed: project, which itself contains code from PCSX, PCSX-df and PCSX-
+pcsx-rearmed: Revolution. This version is ARM architecture oriented and features
+pcsx-rearmed: MIPS->ARM recompiler by Ari64, NEON GTE code and more performance
+pcsx-rearmed: improvements.
+pcsx-rearmed:
+pcsx-rearmed: Homepage: http://www.libretro.com/
+pcsx-rearmed:
+pcsx-rearmed: